www.cendio.com
Bug 6108 - Remove Esound support
: Remove Esound support
Status: CLOSED FIXED
: ThinLinc
Sound
: trunk
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-12-14 09:22 by
Modified: 2019-02-14 16:31 (History)
Acceptance Criteria:
* No more esound traces left in the shipped product (except for the backwards compatibility fix in vsmserver) * Old clients should work fine with a new server * New client should work fine with old servers


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-12-14 09:22:39
Esound is a legacy sound system. We should consider removing our support for
it: PulseAudio Esound module, tunnel ports etc. See also bug 6103.
------- Comment #1 From cendio 2019-01-09 15:55:36 -------
Debian has now decided to remove esound from unstable. Fedora still includes
it, but I can only find two applications requiring it: xarchon and moon-buggy;
two ancient games.

It is now also causing problems for bug 7302, so perhaps it is time to nuke it.
------- Comment #2 From cendio 2019-01-09 16:03:36 -------
As a note Fedora actually retired esound by mistake some years ago, and it
seems it was the moon-buggy maintainer that got it restored:

https://bugzilla.redhat.com/show_bug.cgi?id=1251697
------- Comment #3 From cendio 2019-01-10 14:10:21 -------
It's not worth the effort trying to find more fixes. Let's just get this over
with.
------- Comment #8 From cendio 2019-01-15 13:27:51 -------
Works well. Had to do a backwards compatibility fix in vsmserver though.
Unfortunately we had coded the client to require both an EsounD and PulseAudio
tunnel and would refuse to use just one of them. So we add a dummy EsounD the
same way we do for lpd for shadowing (also to handle older clients).
------- Comment #9 From cendio 2019-02-13 16:14:02 -------
Verified that both client build 6040 and a 4.6.0 client works well with audio
playback against a server build 6040 on Fedora 29.

The 4.6.0 client warns in the log:

"2019-02-13T16:07:53: ssh[E]: Warning: remote port forwarding failed for listen
port 1"

Commits also look good, +1 for tests. Can't find anything left in the tree that
should be removed.
------- Comment #10 From cendio 2019-02-14 16:31:45 -------
Also verified that audio redirection works well with a client build 6040
against a 4.9.0 server.